Bug 243974 - (lx-review) Review Request: lx - Converts PBM data to Lexmark 1000 printer language
Review Request: lx - Converts PBM data to Lexmark 1000 printer language
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Package Reviews List
: HardwareEnablement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-13 01:39 EDT by Lubomir Kundrak
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-04 07:19:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-06-13 01:39:21 EDT
Spec URL: http://people.redhat.com/lkundrak/SPECS/lx-20030328.spec
SRPM URL: http://people.redhat.com/lkundrak/SRPMS/lx-20030328-1.src.rpm
Description: Converts PBM data to Lexmark 1000 printer language

This is a filter to convert PBM data such as produced by ghostscript to
the printer language of Lexmark 1000 printers.  It is meant to be used
by the PostScript Description files of the drivers from the foomatic package.

Note: This package is a part of the ongoing effort to extend hardware
support by fixing the foomatic drivers that actually refer to external filters.
Comment 1 Lubomir Kundrak 2007-06-13 17:57:17 EDT
Fixes to silent rpmlint have been integrated. (Thanks go to Marek Mahut)
The correct names are:
Spec URL: http://people.redhat.com/lkundrak/SPECS/lx.spec
SRPM URL: http://people.redhat.com/lkundrak/SRPMS/lx-20030328-1.src.rpm
Comment 2 Lubomir Kundrak 2007-06-20 16:31:54 EDT
New Package CVS Request
=======================
Package Name: lx
Short Description: Converts PBM data to Lexmark 1000 printer language
Owners: lkundrak@redhat.com
Branches: FC-6 F-7
Comment 3 Josh Boyer 2007-06-20 16:51:25 EDT
this hasn't been properly reviewed yet.
Comment 4 Marek Mahut 2007-06-28 18:18:01 EDT
+ source files match upstream:
	09168d453aa171784387b8e01f6ff293  /usr/src/redhat/SOURCES/lx.c
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+ license field matches the actual license.
+ license is open source-compatible. 
+ latest version is being packaged.
+ compiler flags are appropriate.
+ %clean is present.
+ package installs properly
+ debuginfo package looks complete.
+ rpmlint is silent.
+ final provides and requires are sane:
  [root@storm lx]# rpm -qp --provides
/usr/src/redhat/RPMS/i386/lx-20030328-1.fc8.i386.rpm
  lx = 20030328-1.fc8
  [root@storm lx]# rpm -qp --requires
/usr/src/redhat/RPMS/i386/lx-20030328-1.fc8.i386.rpm
  libc.so.6  
  libc.so.6(GLIBC_2.0)  
  libc.so.6(GLIBC_2.3.4)  
  libc.so.6(GLIBC_2.4)  
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  rtld(GNU_HASH)  
  [root@storm lx]# 
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.


APPROVED
Comment 5 Lubomir Kundrak 2007-07-04 07:19:08 EDT
Much thanks, Marek, Josh and Warren. The package was imported into CVS.

Note You need to log in before you can comment on or make changes to this bug.